Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous
Enum StructureLearner.LearningType

    java.lang.Object
      java.lang.Enum<StructureLearner.LearningType>
          de.jstacs.sequenceScores.statisticalModels.trainable.discrete.inhomogeneous.StructureLearner.LearningType

All Implemented Interfaces:
  Serializable, Comparable<StructureLearner.LearningType>

Enclosing class:
  StructureLearner

    public static enum StructureLearner.LearningType

extends Enum<StructureLearner.LearningType>

This `enum` defines the different types of learning that are possible with the `StructureLearner`.

Author:
  Jens Keilwagen

Enum Constant Summary
`BMA` This value indicates that the model should learn its parameters using Bayesian model averaging (BMA).
`ML_OR_MAP` This value indicates that the model should learn its parameters using the maximum likelihood approach (ML) (if ess = 0) or the maximum a posteriori approach (MAP) (otherwise).

Method Summary
`static StructureLearner.LearningType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StructureLearner.LearningType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ML_OR_MAP

    public static final StructureLearner.LearningType ML_OR_MAP

  This value indicates that the model should learn its parameters using the maximum likelihood approach (ML) (if ess = 0) or the maximum a posteriori approach (MAP) (otherwise).

### BMA

    public static final StructureLearner.LearningType BMA

  This value indicates that the model should learn its parameters using Bayesian model averaging (BMA).

Method Detail

### values

    public static StructureLearner.LearningType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StructureLearner.LearningType c : StructureLearner.LearningType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StructureLearner.LearningType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD